Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.apps.Tour
Class Demo

    java.lang.Object
      |
      +--context.apps.Tour.Demo

public class Demo
extends java.lang.Object

This class implements a demo object.

See Also:
  `Demos`

Field Summary
`static java.lang.String` | `DEMO`
`static java.lang.String` | `DEMO_NAME`
`static java.lang.String` | `DEMO_URL`
`static java.lang.String` | `DEMOER_URL`
`static java.lang.String` | `DESCRIPTION`
`static java.lang.String` | `KEYWORDS`

Constructor Summary
`Demo(AttributeNameValues atts)`
`Demo(java.lang.String name, java.lang.String url, java.lang.String demoerUrl, java.lang.String keywords, java.lang.String description)` Basic constructor that creates a demo object.

Method Summary
`java.lang.String` | `getDemoerUrl()`
`java.lang.String` | `getDemoName()`
`java.lang.String` | `getDemoUrl()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getKeywords()`
`AttributeNameValues` | `toAttributeNameValues()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEMO

    public static final java.lang.String DEMO

### DEMO_NAME

    public static final java.lang.String DEMO_NAME

### DEMO_URL

    public static final java.lang.String DEMO_URL

### DEMOER_URL

    public static final java.lang.String DEMOER_URL

### KEYWORDS

    public static final java.lang.String KEYWORDS

### DESCRIPTION

    public static final java.lang.String DESCRIPTION

Constructor Detail

### Demo

    public Demo(java.lang.String name,
                java.lang.String url,
                java.lang.String demoerUrl,
                java.lang.String keywords,
                java.lang.String description)

  Basic constructor that creates a demo object.

### Demo

    public Demo(AttributeNameValues atts)

Method Detail

### getDemoName

    public java.lang.String getDemoName()

### getDemoUrl

    public java.lang.String getDemoUrl()

### getDemoerUrl

    public java.lang.String getDemoerUrl()

### getKeywords

    public java.lang.String getKeywords()

### getDescription

    public java.lang.String getDescription()

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### toAttributeNameValues

    public AttributeNameValues toAttributeNameValues()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD